petsc-3.10.5 2019-03-28
Report Typos and Errors

# ScatterMode

Determines the direction of a scatter

### Synopsis

    typedef enum {SCATTER_FORWARD=0, SCATTER_REVERSE=1, SCATTER_FORWARD_LOCAL=2, SCATTER_REVERSE_LOCAL=3, SCATTER_LOCAL=2} ScatterMode;

### See Also

VecScatter, VecScatterBegin(), VecScatterEnd()

### Level

beginner

### Location

src/vec/vscat/../../../include/petscvec.h
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages